<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: admin/do.php                                         *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/ 

// protect the included files by defining a permission
DEFINE('PERMISSION_TO_INCLUDE', TRUE);


// include the needed files 
require(dirname(__FILE__) . "/global.php");



// get the action from the request
$action = $_GET['action'];




// Login
if(($action == "login")&&($_SERVER["REQUEST_METHOD"] == "POST")&&($_SESSION['admin'] == 0))
{
	// collect submitted data
	$username = htmlspecialchars($_POST['username']);
	$password = htmlspecialchars($_POST['password']);
		
	
	

	// Get database information
	$Database = new Database;
	$info = $Database->getInfo();
	
	
	
	// connect to database
	$conn = mysql_connect($info[0], $info[1], $info[2]);
	mysql_select_db($info[3], $conn);	
	
	
	// how many time this user tried to log in?
	$myIP = $_SESSION['ip'];
	$query  = mysql_query("SELECT * FROM 11in1_attempts WHERE ip = '$myIP'");
	$row = mysql_fetch_row($query);
	$attemptsID = $row[0];
	$attemptsTotal = $row[2];
	$attemptsDate = $row[3]; 	
	
	
	
	
	// Failure Flag
	$failed = false;
	
		

	
	
	if(empty($username))
	{
		$failed = true;
		
		// create an array to hold the elements of the message and save the array to the session
		$_SESSION['msg'] = array("title" => $lang_error_emptyField, "msg" => $lang_error_enterUsername, "url" => "login.php", "button" => $lang_error_tryAgain);	

	}
	else if(empty($password))
	{
		$failed = true;
		
		// create an array to hold the elements of the message and save the array to the session
		$_SESSION['msg'] = array("title" => $lang_error_emptyField, "msg" => $lang_error_enterPassword, "url" => "login.php", "button" => $lang_error_tryAgain);		
	}
	else
	{

		// escape special characters
		$username = mysql_real_escape_string($username);
		$password = mysql_real_escape_string($password);
		
		// hash the password
		$password = md5($password);
		
		
		
		
		// get the correct username and password from database
		$result = mysql_query("SELECT admin_username, admin_password FROM 11in1_settings WHERE id = '1'");	
		$dbRow = mysql_fetch_row($result);
		$originalUsername = $dbRow[0];
		$originalPassword = $dbRow[1];
		
		if(($username == $originalUsername)&&($password == $originalPassword))
		{
			// grant access to this user
			$_SESSION['admin'] = 1;
			
			// redirect to panel's home page
			header("Location: index.php");
		}
		else
		{			
			$failed = true;
			
			// create an array to hold the elements of the message and save the array to the session
			$_SESSION['msg'] = array("title" => $lang_error_loginFailed, "msg" => $lang_error_inccorectUsernameOrPassword, "url" => "login.php", "button" => $lang_error_tryAgain);			
		}
		
		
				
	}
	
	
	// if attempt failed, add this user's IP address to the blacklist db
	if($failed)
	{
		$dateNow = date("Y-m-d H:i:s"); //FORMAT YYYY-MM-DD HH:MM:SS
		if($attemptsID)
		{
			mysql_query("UPDATE 11in1_attempts SET total = (total + 1) WHERE id = $attemptsID");
			mysql_query("UPDATE 11in1_attempts SET date = '$dateNow' WHERE id = $attemptsID");
		}
		else
		{				
			mysql_query("INSERT INTO 11in1_attempts (ip, total, date)  VALUES ('$myIP', '1', '$dateNow')");
		}
	}
	
	// close connection to database
	mysql_close($conn);
	
	
	
	// redirect to msg.php
	header("Location: msg.php");
}



// Logout
else if(($action == "logout")&&($_SESSION['admin'] == 1))
{
	session_destroy();
	
	// redirect to msg.php
	header("Location: index.php");	
}






// Delete Task
else if(($action == "deleteTask")&&($_SESSION['admin'] == 1))
{
	// Get database information
	$Database = new Database;
	$info = $Database->getInfo();	
	
	$taskID =$_GET['id'];
	
	
	// connect to database
	$conn = mysql_connect($info[0], $info[1], $info[2]);
	mysql_select_db($info[3], $conn);
	
	$result = mysql_query("DELETE FROM 11in1_todo WHERE id = $taskID");
	
	if($result)
	{
		// prepare success message
		$_SESSION['msg'] = array("title" => $lang_admin_request_executed, "msg" => $lang_admin_todoDeleted, "url" => "index.php", "button" => $lang_error_goHome);	
	}
	else
	{
		// prepare faliuer message
		$_SESSION['msg'] = array("title" => $lang_error_invalidRequestTitle, "msg" => $lang_error_invalidRequestMsg, "url" => "index.php", "button" => $lang_error_goHome);		
	}
	
	// close connection
	mysql_close($conn);
	
	// redirect to msg.php
	header("Location: msg.php");	
}




// Delete Guestbook Entry
else if(($action == "deleteEntry")&&($_SESSION['admin'] == 1))
{
	// Get database information
	$Database = new Database;
	$info = $Database->getInfo();	
	
	$id =$_GET['id'];
	
	
	// connect to database
	$conn = mysql_connect($info[0], $info[1], $info[2]);
	mysql_select_db($info[3], $conn);
	
	$result = mysql_query("DELETE FROM 11in1_gb WHERE id = $id");
	
	if($result)
	{
		// prepare success message
		$_SESSION['msg'] = array("title" => $lang_admin_request_executed, "msg" => $lang_admin_gbDeleted, "url" => "guestbook.php", "button" => $lang_error_goBack);	
	}
	else
	{
		// prepare faliuer message
		$_SESSION['msg'] = array("title" => $lang_error_invalidRequestTitle, "msg" => $lang_error_invalidRequestMsg, "url" => "guestbook.php", "button" => $lang_error_goBack);		
	}
	
	// close connection
	mysql_close($conn);
	
	// redirect to msg.php
	header("Location: msg.php");	
}





// Delete Message
else if(($action == "deleteMessage")&&($_SESSION['admin'] == 1))
{
	// Get database information
	$Database = new Database;
	$info = $Database->getInfo();	
	
	$id =$_GET['id'];
	
	
	// connect to database
	$conn = mysql_connect($info[0], $info[1], $info[2]);
	mysql_select_db($info[3], $conn);
	
	$result = mysql_query("DELETE FROM 11in1_messages WHERE id = $id");
	
	if($result)
	{
		// prepare success message
		$_SESSION['msg'] = array("title" => $lang_admin_request_executed, "msg" => $lang_admin_messageDeleted, "url" => "mail.php", "button" => $lang_error_goBack);	
	}
	else
	{
		// prepare faliuer message
		$_SESSION['msg'] = array("title" => $lang_error_invalidRequestTitle, "msg" => $lang_error_invalidRequestMsg, "url" => "mail.php", "button" => $lang_error_goBack);		
	}
	
	// close connection
	mysql_close($conn);
	
	// redirect to msg.php
	header("Location: msg.php");	
}






// Delete Task
else if(($action == "deleteComment")&&($_SESSION['admin'] == 1))
{
	// Get database information
	$Database = new Database;
	$info = $Database->getInfo();	
	
	$commnetID =$_GET['id'];
	
	
	// connect to database
	$conn = mysql_connect($info[0], $info[1], $info[2]);
	mysql_select_db($info[3], $conn);
	
	$result = mysql_query("DELETE FROM 11in1_comments WHERE id = $commnetID");
	
	if($result)
	{
		// prepare success message
		$_SESSION['msg'] = array("title" => $lang_admin_request_executed, "msg" => $lang_admin_todoDeleted, "url" => "index.php", "button" => $lang_error_goBack);	
	}
	else
	{
		// prepare faliuer message
		$_SESSION['msg'] = array("title" => $lang_error_invalidRequestTitle, "msg" => $lang_error_invalidRequestMsg, "url" => "index.php", "button" => $lang_error_goBack);		
	}
	
	// close connection
	mysql_close($conn);
	
	// redirect to msg.php
	header("Location: msg.php");	
}





// Delete Topic
else if(($action == "deleteTopic")&&($_SESSION['admin'] == 1))
{
	// Get database information
	$Database = new Database;
	$info = $Database->getInfo();	
	
	$topicID =$_GET['id'];
	
	
	// connect to database
	$conn = mysql_connect($info[0], $info[1], $info[2]);
	mysql_select_db($info[3], $conn);
	
	$result = mysql_query("DELETE FROM 11in1_topics WHERE id = $topicID");
	$result = mysql_query("DELETE FROM 11in1_comments WHERE topicID = $topicID");
	
	if($result)
	{
		// prepare success message
		$_SESSION['msg'] = array("title" => $lang_admin_request_executed, "msg" => $lang_admin_topicDeleted, "url" => "topics.php", "button" => $lang_error_goBack);	
	}
	else
	{
		// prepare faliuer message
		$_SESSION['msg'] = array("title" => $lang_error_invalidRequestTitle, "msg" => $lang_error_invalidRequestMsg, "url" => "topics.php", "button" => $lang_error_goBack);		
	}
	
	// close connection
	mysql_close($conn);
	
	// redirect to msg.php
	header("Location: msg.php");	
}






// Delete Section
else if(($action == "deleteSection")&&($_SESSION['admin'] == 1))
{
	// Get database information
	$Database = new Database;
	$info = $Database->getInfo();	
	
	$secID =$_GET['id'];
	
	
	// connect to database
	$conn = mysql_connect($info[0], $info[1], $info[2]);
	mysql_select_db($info[3], $conn);
	
	// how many section in db?
	$result = mysql_query("SELECT * FROM 11in1_sections ORDER BY id DESC", $conn);
	$totalSections = mysql_num_rows($result);

	
	// You have to have at least one section
	if($totalSections <= 1)
	{
		// prepare faliuer message
		$_SESSION['msg'] = array("title" => $lang_error_deleteSection, "msg" => $lang_error_deleteSectionMsg, "url" => "sections.php", "button" => $lang_error_goBack);	
	}
	else
	{
		// find topics that belong to this section and delet them
		$sql ="SELECT * FROM 11in1_topics WHERE sec = $secID";
		
		$result = mysql_query($sql);						
		while($row=mysql_fetch_array($result))
		{
			$thisID = $row['id'];
			$result = mysql_query("DELETE FROM 11in1_topics WHERE id = $thisID");
			$result = mysql_query("DELETE FROM 11in1_comments WHERE topicID = $thisID");				
		}
		
			
		$result = mysql_query("DELETE FROM 11in1_sections WHERE id = $secID");
		
		if($result)
		{
			// prepare success message
			$_SESSION['msg'] = array("title" => $lang_admin_request_executed, "msg" => $lang_admin_secDeleted, "url" => "sections.php", "button" => $lang_error_goBack);	
		}
		else
		{
			// prepare faliuer message
			$_SESSION['msg'] = array("title" => $lang_error_invalidRequestTitle, "msg" => $lang_error_invalidRequestMsg, "url" => "sections.php", "button" => $lang_error_goBack);		
		}
	}
	
	// close connection
	mysql_close($conn);
	
	// redirect to msg.php
	header("Location: msg.php");	
}




// load more results
else if($action == "load")
{
	//if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest')
	 
	 
	$type = $_GET['type'];
	$sp = $_GET['sp'];
	$keyword = $_GET['ed'];
	
	if((!is_numeric($sp))||($sp < 0))
	$sp = 0;
	
	if($type == 'online')
	echo $Loader->getUsersOnline($sp, $settings_resultsPerLoad);
	
	else if($type == 'comments')
	echo $Loader->getPendingCommnets($sp, $settings_resultsPerLoad);
	
	else if($type == 'search')
	echo $Loader->getSearchResults($sp, $settings_resultsPerLoad, $keyword);
	
	else if($type == 'pages')
	echo $Loader->getPages($sp, $settings_resultsPerLoad);	
	
	else if($type == 'topics')
	echo $Loader->getTopics($sp, $settings_resultsPerLoad);	
	
	else if($type == 'mail')
	echo $Loader->getMail($sp, $settings_resultsPerLoad);	
	
	else if($type == 'guestbook')
	echo $Loader->getGuestbookEntries($sp, $settings_resultsPerLoad);						
	
	else
	echo "";
	
}



// add new task
else if(($action == "addTask")&&($_SERVER["REQUEST_METHOD"] == "POST")&&($_SESSION['admin'] == 1))
{
	// collect submitted data
	$name = htmlspecialchars($_POST["name"]);
	$type = htmlspecialchars($_POST["type"]);
	
	// Get database information
	$Database = new Database;
	$info = $Database->getInfo();	
		
	
	// connect to database
	$conn = mysql_connect($info[0], $info[1], $info[2]);
	mysql_select_db($info[3], $conn);
	
		
	// show error if feild is empty
	if((empty($name))||(empty($type)))
	{
			// prepare faliuer message
			$_SESSION['msg'] = array("title" => $lang_error_unableToAdd, "msg" => $lang_error_unableToAddTask, "url" => "index.php", "button" => $lang_error_goHome);
	}
	else
	{
		$result = mysql_query("INSERT INTO 11in1_todo (content, type)  VALUES ('$name', '$type')");
		
		if($result)
		{
		// prepare success message
		$_SESSION['msg'] = array("title" => $lang_admin_request_executed, "msg" => $lang_admin_taskAdded, "url" => "index.php", "button" => $lang_error_goHome);			
		}
		else
		{
			// prepare faliuer message
			$_SESSION['msg'] = array("title" => $lang_error_invalidRequestTitle, "msg" => $lang_error_invalidRequestMsg, "url" => "index.php", "button" => $lang_error_goHome);			
		}			
	}
	
	
	// redirect to msg.php
	header("Location: msg.php");
	
}






// add new section
else if(($action == "addSection")&&($_SERVER["REQUEST_METHOD"] == "POST")&&($_SESSION['admin'] == 1))
{
	// collect submitted data
	$name = htmlspecialchars($_POST["name"]);
	$parent = htmlspecialchars($_POST["parent"]);
	$allow = htmlspecialchars($_POST["allow"]);
	$desc = htmlspecialchars($_POST["desc"]);
	
	// Get database information
	$Database = new Database;
	$info = $Database->getInfo();	
		
	
	// connect to database
	$conn = mysql_connect($info[0], $info[1], $info[2]);
	mysql_select_db($info[3], $conn);
	
		
	// show error if feild is empty
	if(empty($name))
	{
			// prepare faliuer message
			$_SESSION['msg'] = array("title" => $lang_error_unableToAdd, "msg" => $lang_error_unableToAddSection, "url" => "sections.php", "button" => $lang_error_tryAgain);
	}
	else
	{
		$result = mysql_query("INSERT INTO 11in1_sections (title, parent, description, allow_comments) VALUES ('$name', '$parent', '$desc', '$allow')");
		
		if($result)
		{
		// prepare success message
		$_SESSION['msg'] = array("title" => $lang_admin_request_executed, "msg" => $lang_admin_sectionAdded, "url" => "sections.php", "button" => $lang_error_goBack);			
		}
		else
		{
			// prepare faliuer message
			$_SESSION['msg'] = array("title" => $lang_error_invalidRequestTitle, "msg" => $lang_error_invalidRequestMsg, "url" => "sections.php", "button" => $lang_error_tryAgain);			
		}			
	}
	
	
	// redirect to msg.php
	header("Location: msg.php");
	
}




// add new page
else if(($action == "addPage")&&($_SERVER["REQUEST_METHOD"] == "POST")&&($_SESSION['admin'] == 1))
{
	// collect submitted data
	$name = htmlspecialchars($_POST["name"]);
	$type = htmlspecialchars($_POST["type"]);
	$visible = htmlspecialchars($_POST["visible"]);
	$url = htmlspecialchars($_POST["url"]);
	$content = htmlspecialchars($_POST["content"]);
	
	// Get database information
	$Database = new Database;
	$info = $Database->getInfo();	
		
	
	// connect to database
	$conn = mysql_connect($info[0], $info[1], $info[2]);
	mysql_select_db($info[3], $conn);
	
		
	// show error if feild is empty
	if(empty($name))
	{
			// prepare faliuer message
			$_SESSION['msg'] = array("title" => $lang_error_unableToAdd, "msg" => $lang_error_unableToAddPage, "url" => "pages.php", "button" => $lang_error_tryAgain);
	}		
	else
	{
		
		if($type == 1)
		$url = "";
		else
		$content = "";
		
		$result = mysql_query("INSERT INTO 11in1_pages (title, content, url, status, type) VALUES ('$name', '$content', '$url', '$visible', '$type')");
		
		if($result)
		{
		// prepare success message
		$_SESSION['msg'] = array("title" => $lang_admin_request_executed, "msg" => $lang_admin_pageAdded, "url" => "pages.php", "button" => $lang_error_goBack);			
		}
		else
		{
			// prepare faliuer message
			$_SESSION['msg'] = array("title" => $lang_error_invalidRequestTitle, "msg" => $lang_error_invalidRequestMsg, "url" => "pages.php", "button" => $lang_error_tryAgain);			
		}			
	}
	
	
	// redirect to msg.php
	header("Location: msg.php");
	
}





// add new topic
else if(($action == "addTopic")&&($_SERVER["REQUEST_METHOD"] == "POST")&&($_SESSION['admin'] == 1))
{
	// collect submitted data
	$name = htmlspecialchars($_POST["name"]);
	$sectionID = htmlspecialchars($_POST["sec"]);
	$content = htmlspecialchars($_POST["content"]);
	
	// get the submitted thumbnail
	$thumbnail_as_object  = basename($_FILES['thumb']['name']);						
	$thumbnail_as_file    = $_FILES['thumb']['tmp_name'];
	$thumbnail_as_cleaned = stripslashes($_FILES['thumb']['name']);
	
	
	// get the submitted main picture
	$mainPicture_as_object  = basename($_FILES['main']['name']);						
	$mainPicture_as_file    = $_FILES['main']['tmp_name'];
	$mainPicture_as_cleaned = stripslashes($_FILES['main']['name']);
	
	// only .jpg .png .jpeg .gif files are allowed
	if((!empty($thumbnail_as_object))&&(!empty($thumbnail_as_file)))
	{
		$extension = $Functions->getExtension($thumbnail_as_cleaned);
		if (($extension != "jpg") && ($extension != "jpeg") && ($extension != "png") && ($extension != "gif"))
		{
			$invalidThumb = true;		
		}
	}
	
	// only .jpg .png .jpeg .gif files are allowed
	if((!empty($mainPicture_as_object))&&(!empty($mainPicture_as_file)))	
	{
		$extension = $Functions->getExtension($mainPicture_as_cleaned);
		if (($extension != "jpg") && ($extension != "jpeg") && ($extension != "png") && ($extension != "gif"))
		{
			$invalidMain = true;		
		}		
	}
	
	
	// Get database information
	$Database = new Database;
	$info = $Database->getInfo();	
		
	
	// connect to database
	$conn = mysql_connect($info[0], $info[1], $info[2]);
	mysql_select_db($info[3], $conn);
	
		
	// show error if feild is empty
	if(empty($name))
	{
			// prepare faliuer message
			$_SESSION['msg'] = array("title" => $lang_error_unableToAdd, "msg" => $lang_error_unableToAddTopic1, "url" => "topics.php", "button" => $lang_error_tryAgain);
	}	
	else if(empty($content))
	{
			// prepare faliuer message
			$_SESSION['msg'] = array("title" => $lang_error_unableToAdd, "msg" => $$lang_error_unableToAddTopic2, "url" => "topics.php", "button" => $lang_error_tryAgain);
	}
	else if(empty($sectionID))
	{
			// prepare faliuer message
			$_SESSION['msg'] = array("title" => $lang_error_unableToAdd, "msg" => $lang_error_unableToAddTopic3, "url" => "topics.php", "button" => $lang_error_tryAgain);
	}
	else if($invalidThumb)
	{
			// prepare faliuer message
			$_SESSION['msg'] = array("title" => $lang_error_unableToAdd, "msg" => $lang_error_unableToAddTopic4, "url" => "topics.php", "button" => $lang_error_tryAgain);
	}
	else if($invalidMain)
	{
			// prepare faliuer message
			$_SESSION['msg'] = array("title" => $lang_error_unableToAdd, "msg" => $lang_error_unableToAddTopic5, "url" => "topics.php", "button" => $lang_error_tryAgain);
	}							
	else
	{

		
		// do we have a thumbnail?
		if((!empty($thumbnail_as_object))&&(!empty($thumbnail_as_file)))
		{
			$thumbURL = $Functions->uploadFile($thumbnail_as_object, $thumbnail_as_file, $settings_thumbWidth, 'thumbs');
		}	
		
		
		// do we have a main picture?
		if((!empty($mainPicture_as_object))&&(!empty($mainPicture_as_file)))
		{
			$mainPictureURL = $Functions->uploadFile($mainPicture_as_object, $mainPicture_as_file, $settings_mainWidth, 'pictures');
		}	
		
			
		
		$thisDate = date("Y-m-d H:i:s");
		
		$result = mysql_query("INSERT INTO 11in1_topics (title, content, sec, date, thumb, main) VALUES ('$name', '$content', '$sectionID', '$thisDate', '$thumbURL', '$mainPictureURL')");
		
		if($result)
		{
		// prepare success message
		$_SESSION['msg'] = array("title" => $lang_admin_request_executed, "msg" => $lang_admin_topicAdded, "url" => "topics.php", "button" => $lang_error_goBack);			
		}
		else
		{
			// prepare faliuer message
			$_SESSION['msg'] = array("title" => $lang_error_invalidRequestTitle, "msg" => $lang_error_invalidRequestMsg, "url" => "topics.php", "button" => $lang_error_tryAgain);			
		}			
	}
	
	
	// redirect to msg.php
	header("Location: msg.php");
	
}



// edit page
else if(($action == "editPage")&&($_SERVER["REQUEST_METHOD"] == "POST")&&($_SESSION['admin'] == 1))
{
	// collect submitted data
	$title = htmlspecialchars($_POST["name"]);
	$type = htmlspecialchars($_POST["type"]);
	$visible = htmlspecialchars($_POST["visible"]);
	$url = htmlspecialchars($_POST["url"]);
	$content = htmlspecialchars($_POST["content"]);
	
	$id = $_GET['id'];
	
	if(empty($title))
	{
		// prepare faliuer message
		$_SESSION['msg'] = array("title" => $lang_admin_unableToSave, "msg" => $lang_error_allFieldsAreRequired, "url" => "pages.php#list", "button" => $lang_error_tryAgain);	
	}
	else if((empty($content))&&($type == 1))
	{
		// prepare faliuer message
		$_SESSION['msg'] = array("title" => $lang_admin_unableToSave, "msg" => $lang_error_pageReq1, "url" => "pages.php#list", "button" => $lang_error_tryAgain);	
	}
	else if((empty($url))&&($type == 2))
	{
		// prepare faliuer message
		$_SESSION['msg'] = array("title" => $lang_admin_unableToSave, "msg" => $lang_error_pageReq2, "url" => "pages.php#list", "button" => $lang_error_tryAgain);	
	}		
	else if(empty($id))
	{
		// prepare faliuer message
		$_SESSION['msg'] = array("title" => $lang_error_invalidRequestTitle, "msg" => $lang_error_invalidRequestMsg, "url" => "pages.php#list", "button" => $lang_error_tryAgain);			
	}	
	else
	{
		// Get database information
		$Database = new Database;
		$info = $Database->getInfo();	
			
		
		// connect to database
		$conn = mysql_connect($info[0], $info[1], $info[2]);
		mysql_select_db($info[3], $conn);
			
		$id = mysql_real_escape_string($id);
		
		if($type == 1)
		$url = "";
		else
		$content = "";
		
		mysql_query("UPDATE 11in1_pages SET `url` = '$url' WHERE `id` = '$id'");		
		mysql_query("UPDATE 11in1_pages SET `type` = '$type' WHERE `id` = '$id'");
		mysql_query("UPDATE 11in1_pages SET `title` = '$title' WHERE `id` = '$id'");
		mysql_query("UPDATE 11in1_pages SET `status` = '$visible' WHERE `id` = '$id'");
		mysql_query("UPDATE 11in1_pages SET `content` = '$content' WHERE `id` = '$id'");
		
		
		// close connection
		mysql_close($conn);
		
		// prepare success message
		$_SESSION['msg'] = array("title" => $lang_admin_request_executed, "msg" => $lang_admin_dataSaved, "url" => "pages.php#list", "button" => $lang_error_goBack);
				
	}
	
	// redirect to msg.php
	header("Location: msg.php");	
}






// edit guestbook entry
else if(($action == "editEntry")&&($_SERVER["REQUEST_METHOD"] == "POST")&&($_SESSION['admin'] == 1))
{
	$author = htmlspecialchars($_POST['author']);
	$title = htmlspecialchars($_POST['title']);
	$status = htmlspecialchars($_POST['status']);
	$commnet = htmlspecialchars($_POST['comment']);
	
	$id = $_GET['id'];
	
	if((empty($author))||(empty($title))||(empty($commnet)))
	{
		// prepare faliuer message
		$_SESSION['msg'] = array("title" => $lang_admin_unableToSave, "msg" => $lang_error_allFieldsAreRequired, "url" => "guestbook.php", "button" => $lang_error_tryAgain);	
	}
	else if(empty($id))
	{
		// prepare faliuer message
		$_SESSION['msg'] = array("title" => $lang_error_invalidRequestTitle, "msg" => $lang_error_invalidRequestMsg, "url" => "guestbook.php", "button" => $lang_error_tryAgain);			
	}	
	else
	{
		// Get database information
		$Database = new Database;
		$info = $Database->getInfo();	
			
		
		// connect to database
		$conn = mysql_connect($info[0], $info[1], $info[2]);
		mysql_select_db($info[3], $conn);
			
		$id = mysql_real_escape_string($id);
		
		mysql_query("UPDATE 11in1_gb SET `author` = '$author' WHERE `id` = '$id'");
		mysql_query("UPDATE 11in1_gb SET `title` = '$title' WHERE `id` = '$id'");
		mysql_query("UPDATE 11in1_gb SET `status` = '$status' WHERE `id` = '$id'");
		mysql_query("UPDATE 11in1_gb SET `comment` = '$commnet' WHERE `id` = '$id'");
		
		
		// close connection
		mysql_close($conn);
		
		// prepare success message
		$_SESSION['msg'] = array("title" => $lang_admin_request_executed, "msg" => $lang_admin_dataSaved, "url" => "guestbook.php", "button" => $lang_error_goBack);		
	}
	
	// redirect to msg.php
	header("Location: msg.php");	
}


// send a message
else if(($action == "sendEmail")&&($_SERVER["REQUEST_METHOD"] == "POST")&&($_SESSION['admin'] == 1))
{

	$message = $_POST['message'];
	$email = $_GET['email'];
	
	if(empty($message))
	{
		// prepare faliuer message
		$_SESSION['msg'] = array("title" => $lang_error_unableToSend, "msg" => $lang_error_unableToSendMsg, "url" => "mail.php", "button" => $lang_error_tryAgain);	
	}
	else if(empty($email))
	{
		// prepare faliuer message
		$_SESSION['msg'] = array("title" => $lang_error_invalidRequestTitle, "msg" => $lang_error_invalidRequestMsg, "url" => "mail.php", "button" => $lang_error_tryAgain);			
	}		
	else
	{
		// get the mail template
		$headers  = 'MIME-Version: 1.0' . "\r\n";
		$headers .= "Content-type: text/html; charset=$lang_encoding\r\n";
		$headers .= "To: <$settings_admin_email>". "\r\n";
		$headers .= "From: $settings_11in1Name <$settings_admin_email>" . "\r\n" . 'X-Mailer: PHP/' . phpversion();
		$title = "$lang_admin_from $settings_11in1Name";
		
						  	
		if(mail($email, $title, $message, $headers))
		{
			// prepare success message
			$_SESSION['msg'] = array("title" => $lang_admin_request_executed, "msg" => $lang_admin_emailSent, "url" => "mail.php", "button" => $lang_error_goBack);		
		}
		else
		{
			$_SESSION['msg'] = array("title" => $lang_error_unableToSend, "msg" => $lang_error_unknown, "url" => "mail.php", "button" => $lang_error_tryAgain);		
		}			
	}
	
	
	// redirect to msg.php
	header("Location: msg.php");

}



// Unknown request
else
{
	// create an array to hold the elements of the message and save the array to the session
	$_SESSION['msg'] = array("title" => $lang_error_invalidRequestTitle, "msg" => $lang_error_invalidRequestMsg, "url" => "index.php", "button" => $lang_error_goHome);
	
	// redirect to msg.php
	header("Location: msg.php");	
}

?>