<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: admin/alerts.php                                     *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/ 



// Restrect access to this page if the defined permission is not found
if (!defined('PERMISSION_TO_INCLUDE'))
{
    header("Status: 403 Forbidden");
    die("<h1>403 Forbidden</h1>");
}



class Functions
{
    
    
	/***************************************
	* 
	*	Format Date
	*
	***************************************/       
    function FormatDate($date, $info)
    {
    
	   // connect to db
	   $conn = mysql_connect($info[0], $info[1], $info[2]);
	   $db = mysql_select_db($info[3], $conn);
	   
	   
	   // get lang file
	   $result = mysql_query("SELECT lang FROM 11in1_settings WHERE id = '1'");	
	   $dbRow = mysql_fetch_row($result);
	   $temp_lang = '../lang/' . $dbRow[0] . '.php';
				
		// require the language file
		require($temp_lang);
		
		$exploded = explode(" ", $date);
		$day  = $exploded[0];
		$time = $exploded[1];
		
		$dayExploded = explode("-", $day);
		$timeExploded = explode(":", $time);
		
		$final_year  = $dayExploded[0];
		$final_month = $dayExploded[1];
		$final_day   = $dayExploded[2];
		
		$final_hour    = $timeExploded[0];
		$final_minutes = $timeExploded[1];
		$final_seconds = $timeExploded[2];	
		
		if($final_month == "01") $final_month = $lang_td_01;
		if($final_month == "02") $final_month = $lang_td_02;
		if($final_month == "03") $final_month = $lang_td_03;
		if($final_month == "04") $final_month = $lang_td_04;
		if($final_month == "05") $final_month = $lang_td_05;
		if($final_month == "06") $final_month = $lang_td_06;
		if($final_month == "07") $final_month = $lang_td_07;
		if($final_month == "08") $final_month = $lang_td_08;
		if($final_month == "09") $final_month = $lang_td_09;
		if($final_month == "10") $final_month = $lang_td_10;
		if($final_month == "11") $final_month = $lang_td_11;
		if($final_month == "12") $final_month = $lang_td_12;
				
		
		$toReturn = "$final_day $final_month $final_year $lang_td_at $final_hour:$final_minutes";   	   
    
    	return $toReturn;
    }
    
    
    
    
        
        
	/***************************************
	* 
	* Returns an array that holds 2 other
	* arrays
	*
	* Array #1: holds the flags
	* Array #2: holds the severity where
	*           1 = normal
	*           2 = high
	*           3 = critical
	*
	***************************************/       
    function getAlerts($info)
    {
       // an array to hold all flags
       $array_1 = array();
	   		
		
	   // connect to db
	   $conn = mysql_connect($info[0], $info[1], $info[2]);
	   $db = mysql_select_db($info[3], $conn);
	   
	        
       
       
       // Test 0: the install folder exist
       if((file_exists('../install/index.php'))||(is_dir('../install')))
       $check_0 = 1;
       else
       $check_0 = 0;
       
       
       
       
       // Test 1: firewall has not been satup yet
       if(!file_exists('.htaccess'))
       $check_1 = 1;
       else
       $check_1 = 0;
       
       
       
       
        // Test 2: unauthorized attempts to acccess the panel		
		$result = mysql_query("SELECT id FROM 11in1_attempts", $conn);
		$thisCount = mysql_num_rows($result);
		if($thisCount > 0)	
	    $check_2 = 1;
	    else
	    $check_2 = 0;   
       
       
       
       
        // Test 3: Blacklisted users
		$result = mysql_query("SELECT id FROM 11in1_blacklist", $conn);
		$thisCount = mysql_num_rows($result);	
		if($thisCount > 0)	
	    $check_3 = 1;
	    else
	    $check_3 = 0; 
	    
       
        // put all flags in array 1
	    $array_1[] = $check_0;
        $array_1[] = $check_1;
        $array_1[] = $check_2;
        $array_1[] = $check_3;
        
        
        // create array 2
        $array_2[] = 3;
        $array_2[] = 2;
        $array_2[] = 2;
        $array_2[] = 1;
        
        
        // put the two array in one array
        $toReturn[] = $array_1;
        $toReturn[] = $array_2;
       
        return $toReturn;
    }







	/***************************************
	* 
	* Resizes and uploads the given picture
	* to the given folder and then returns 
	* a URL to the picture
	*
	***************************************/  
	function uploadFile($asPicture, $asFile, $fixedWidth, $folder)
	{
		$size = filesize($asFile);
		
		$filename = stripslashes($asPicture);
		$extension = $this->getExtension($filename);
		
		if($extension=="jpg" || $extension=="jpeg" )
		{
			$src = imagecreatefromjpeg($asFile);
		}
		else if($extension=="png")
		{
			$src = imagecreatefrompng($asFile);
		}
		else 
		{
			$src = imagecreatefromgif($asFile);
		}	
		
		list($width,$height)=getimagesize($asFile);	
		
		if($fixedWidth)
		$newWidth = $fixedWidth;
		else
		$newWidth = $width;
		
		$newHeight=($height/$width)*$newWidth;
		$tmp=imagecreatetruecolor($newWidth,$newHeight);	
		
		$random= date('11in1_Ymd_His_').rand(000000,999999);
		$toSave = $random . '.' . $extension;														
		
		imagecopyresampled($tmp,$src,0,0,0,0,$newWidth,$newHeight,$width,$height);															
										
		$filename = "../uploads/$folder/" . $toSave;
		
		
		imagejpeg($tmp,$filename,100);
		
		imagedestroy($src);
		imagedestroy($tmp);

		
		return $toSave;
	}
	
	
	
	
	
	/***************************************
	* 
	* Returns the extension of the given
	* file
	*
	***************************************/ 	
	
	function getExtension($str) 
	{
         $i = strrpos($str,".");
         if (!$i) { return ""; } 
         $l = strlen($str) - $i;
         $ext = substr($str,$i+1,$l);
         return $ext;
	 }	
    
    
}
$Functions = new Functions;
?>