<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: admin/index.php                                      *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/

// protect the included files by defining a permission
DEFINE('PERMISSION_TO_INCLUDE', TRUE);


// include the needed files 
require(dirname(__FILE__) . "/global.php");



// Require login if user is not authenticated
if($_SESSION['admin'] == 0)
{
	header("Location: login.php");
}
else
{	
	// prepare the page name
	$thisPageName = $settings_blogName . ' - ' . $lang_admin_adminPanelHome;
	
	// prepare the navigation map
	$thisMap = $lang_admin_adminPanelHome;
	
	// elements of the quick links menu
	$menu_1_elements = "
	<li><a href='todo.php?height=200' class='thickbox' title='$lang_admin_sidemenu_custom_01_01'>$lang_admin_sidemenu_custom_01_01</a></li>
	<li><a href='topics.php?action=add&height=400' class='thickbox' title='$lang_admin_sidemenu_custom_01_02'>$lang_admin_sidemenu_custom_01_02</a></li>
	<li><a href='sections.php#add'>$lang_admin_sidemenu_custom_01_03</a></li>
	<li><a href='topics.php#list'>$lang_admin_sidemenu_custom_01_04</a></li>
	<li><a href='settings.php'>$lang_admin_sidemenu_custom_01_05</a></li>
	";

	
	// create the quick links menu
	$static_value = array ($menu_1_elements, $lang_admin_sidemenu_01_title, $menu_1_link, $lang_admin_sidemenu_01_link);
	$static_name  = array ("{CONTENT}", "{TITLE}", "{URL}", "{EXTRA_LINK}");
	$template = $Engine->loadTemplate ("../templates/$settings_template/admin/normalMenu.html");
	$menu_1 = $Engine->replaceStatic($static_name, $static_value, $template);
	
	
	// Get database information
	$info = $Database->getInfo();	
	
	
	// connect to db
	$conn = @mysql_connect($info[0], $info[1], $info[2]);
	$db = @mysql_select_db($info[3], $conn);	
	
	
	// get the to do list
	$sql ="SELECT * FROM 11in1_todo";
	$result = mysql_query($sql);
	$totalTodo = 0;		
	while($row=mysql_fetch_array($result))
	{	
		$thisContent = $row['content'];
		$thisID = $row['id'];
		$thisType = $row['type'];
		
		$static_value = array ($thisContent, $thisID, $thisType, $lang_admin_confirm);
		$static_name  = array ("{CONTENT}", "{ID}", "{TYPE}", "{CONFIRM}");
		$template = $Engine->loadTemplate ("../templates/$settings_template/admin/elementTodo.html");
		$list_1 = $list_1 . $Engine->replaceStatic($static_name, $static_value, $template);				

		$totalTodo++;
	}	
	if($totalTodo < 1)
	$list_1 = $lang_admin_noResults;
	
	
	// get statistics
	$result = mysql_query("SELECT id FROM 11in1_sections", $conn);
	$total_1 = mysql_num_rows($result);
	
	$result = mysql_query("SELECT id FROM 11in1_topics", $conn);
	$total_2 = mysql_num_rows($result);	
	
	$result = mysql_query("SELECT id FROM 11in1_comments", $conn);
	$total_3 = mysql_num_rows($result);
	
	$result = mysql_query("SELECT id FROM 11in1_gb", $conn);
	$total_4 = mysql_num_rows($result);
	

	$result = @mysql_query("SELECT visitors FROM 11in1_settings WHERE id = '1'");	
	$dbRow = @mysql_fetch_row($result);
	$total_5 = $dbRow[0];	
	
	$result = mysql_query("SELECT id FROM 11in1_contacts", $conn);
	$total_6 = mysql_num_rows($result);								

	
	
	// enhance statistics
	$lang_admin_stats_01_b = $lang_admin_stats_01 . ": ($total_1)";
	$lang_admin_stats_02_b = $lang_admin_stats_02 . ": ($total_2)";
	$lang_admin_stats_03_b = $lang_admin_stats_03 . ": ($total_3)";
	$lang_admin_stats_04_b = $lang_admin_stats_04 . ": ($total_4)";
	$lang_admin_stats_05_b = $lang_admin_stats_05 . ": ($total_5)";
	$lang_admin_stats_06_b = $lang_admin_stats_06 . ": ($total_6)";
		
	
	$result = mysql_query("SELECT id FROM 11in1_online", $conn);
	$totalUsersOnline = mysql_num_rows($result);
	
	
	$result = mysql_query("SELECT id FROM 11in1_comments WHERE status = 0", $conn);
	$totalPendingComments = mysql_num_rows($result);
	
	mysql_close($conn);		
	
	// get who is online
	$list_3 = $Loader->getUsersOnline(0, $settings_resultsPerLoad);
	if(!$list_3)
	$list_3 = "<tr><td colspan='3' class='listRow_A'>$lang_admin_noResults</td></tr>";
		
	
	
	
	// get latest comments
	$list_4 = $Loader->getPendingCommnets(0, $settings_resultsPerLoad);
	if(!$list_4)
	$list_4 = "<tr><td colspan='3' class='listRow_A'>$lang_admin_noResults</td></tr>";
	
	
	
	
	// add the counts to the titles
	$lang_admin_subsection_main_03 = $lang_admin_subsection_main_03 . " ($totalUsersOnline)";
	$lang_admin_subsection_main_04 = $lang_admin_subsection_main_04 . " ($totalPendingComments)";
	
	
	$static_value = array ($lang_admin_subsection_main_01, $lang_admin_subsection_main_02, $lang_admin_subsection_main_03, $lang_admin_subsection_main_04, $list_1, $list_3, $list_4, $lang_admin_stats_01_b, $lang_admin_stats_02_b, $lang_admin_stats_03_b, $lang_admin_stats_04_b, $lang_admin_stats_05_b, $lang_admin_stats_06_b, $lang_admin_loadMore, $totalUsersOnline, $totalPendingComments, $settings_resultsPerLoad);
	$static_name  = array ("{SUB_SECTION_01}", "{SUB_SECTION_02}", "{SUB_SECTION_03}", "{SUB_SECTION_04}", "{LIST_1}", "{LIST_3}", "{LIST_4}", "{STAT_1}", "{STAT_2}", "{STAT_3}", "{STAT_4}", "{STAT_5}", "{STAT_6}", "{LOAD_MORE}", "{TOTAL_1}", "{TOTAL_2}", "{LIMIT}");
	$template = $Engine->loadTemplate ("../templates/$settings_template/admin/main.html");
	$content = $Engine->replaceStatic($static_name, $static_value, $template);			
	
	
	$static_value = array ($settings_JS, $lang_dir, $lang_encoding, $settings_keyword, $settings_Description, $thisPageName, $settings_blogName, $lang_slogan, $lang_admin_menuLink01, $lang_admin_menuLink02, $lang_admin_menuLink03, $lang_admin_menuLink04, $lang_admin_menuLink05, $lang_admin_menuLink06, $lang_admin_menuLink07, $lang_admin_menuLink08, $menu_1, $menu_2, $menu_3, $content, $lang_admin_copyrights, $lang_admin_footer_01_t, $lang_admin_footer_01_01, $lang_admin_footer_01_02, $lang_admin_footer_01_03, $lang_admin_footer_02_t, $lang_admin_footer_02_01, $lang_admin_footer_02_02, $lang_admin_footer_02_03, $lang_admin_footer_03_t, $lang_admin_footer_03_01, $lang_admin_footer_03_02, $thisMap, $NULL, $lang_admin_searchPosts);
	$static_name  = array ("{JS_INCLUDED_FILES_VITAL}", "{DIR}", "{ENCODING}", "{KEYWORDS}", "{DESC}", "{PAGENAME}", "{BLOGNAME}", "{SLOGAN}", "{LINK_01}", "{LINK_02}", "{LINK_03}", "{LINK_04}", "{LINK_05}", "{LINK_06}", "{LINK_07}", "{LINK_08}", "{MENU_1}", "{MENU_2}", "{MENU_3}", "{CONTENT}", "{COPYRIGHTS}", "{FOOTER_1_T}", "{FOOTER_1_1}", "{FOOTER_1_2}", "{FOOTER_1_3}", "{FOOTER_2_T}", "{FOOTER_2_1}", "{FOOTER_2_2}", "{FOOTER_2_3}", "{FOOTER_3_T}", "{FOOTER_3_1}", "{FOOTER_3_2}", "{MAP}", "{MASTER_KEYWORD}", "{SEARCH_TOPICS}");
	$template = $Engine->loadTemplate ("../templates/$settings_template/admin/layout.html");
	$template = $Engine->replaceStatic($static_name, $static_value, $template);
	echo $template;
}


?>