/**************************
*
* Validate the login form
*
***************************/

function checkLoginForm(form)
{
	if(form.username.value == '')
	{
		alert('You have to enter your username in order to login');
		form.username.focus();
		return false
	}
	
	
	if(form.password.value == '')
	{
		alert('You have to enter your password in order to login');
		form.password.focus();
		return false
	}
	
	return true;	

}




/**************************
*
* Validate the topic form
*
***************************/

function checkTopicsForm(form)
{
	if(form.name.value == '')
	{
		alert('You have to enter the name of this topic in order to continue');
		form.name.focus();
		return false
	}
	
	
	if(form.content.value == '')
	{
		alert('You have to fill the content field in order to continue');
		form.content.focus();
		return false
	}
	
	return true;	

}



/**************************
*
* Validate the section form
*
***************************/
function checkSectionForm(form)
{
	if(form.name.value == '')
	{
		alert('You have to enter a name for this section in order to login');
		form.name.focus();
		return false
	}
	
	return true;	
}




/**************************
*
* Validate the pages form
*
***************************/
function checkPagesForm(form)
{
	if(form.name.value == '')
	{
		alert('You have to enter a name for this page in order to continue');
		form.name.focus();
		return false
	}
	
	if((form.content.value == '')&&(form.url.value == '1'))
	{
		alert('You have to fill the content field in order to continue');
		form.content.focus();
		return false
	}
	
	
	if((form.url.value == '')&&(form.type.value == '2'))
	{
		alert('You have to enter the url to this page in order to continue');
		form.url.focus();
		return false
	}		
	
	return true;	
}



/**************************
*
* Redirect to the given URL
*
***************************/
function goto(URL)
{
	window.location = URL;
}





/**************************
*
* Validate the search form
*
***************************/
function checkSearchForm(form)
{
	if(form.keyword.value == '')
	{
		alert('You have to enter at least one keyword in order to continue');
		form.keyword.focus();
		return false
	}
	
	return true;	
}




/**************************
*
* Confirm before execution
*
***************************/
function confirmation(URL, message)
{
	if(confirm(message))
 	{
  		window.location = URL;
  	}
}





/**************************
*
* Ajax to load more results
*
***************************/
function loadMore(displayArea, currentCount, total, button, resultsPerLoad, dataType, extraData)
{
		var oldCount = parseFloat(document.getElementById(currentCount).value); 
		var perLoad  = parseFloat(document.getElementById(resultsPerLoad).value);
		var newCount = oldCount + perLoad;
		
		
		if(newCount > document.getElementById(total).value)
		{
			newCount = document.getElementById(total).value;
		}
		
		
		if (window.XMLHttpRequest)
		{
		  	// code for IE7+, Firefox, Chrome, Opera, Safari
		  	xmlhttp=new XMLHttpRequest();
		}
		else
		{
		  	// code for IE6, IE5
		  	xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
		  
		xmlhttp.onreadystatechange=function()
		{
		  if (xmlhttp.readyState==4 && xmlhttp.status==200)
		  {
		    document.getElementById(displayArea).innerHTML=xmlhttp.responseText;
		    document.getElementById(currentCount).value = newCount;
		  }
		}
		
		if(oldCount >= parseFloat(document.getElementById(total).value))
		document.getElementById(button).disabled = true;
				
		xmlhttp.open("GET","do.php?action=load&type=" + dataType + "&sp=" + oldCount + "&ed=" + extraData,true);
		xmlhttp.send();	
}




