<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: admin/search.php                                     *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/

// protect the included files by defining a permission
DEFINE('PERMISSION_TO_INCLUDE', TRUE);


// include the needed files 
require(dirname(__FILE__) . "/global.php");



// Require login if user is not authenticated
if($_SESSION['admin'] == 0)
{
	header("Location: login.php");
}
else
{	
	// prepare the page name
	$thisPageName = $settings_blogName . ' - ' . $lang_admin_searchResults;
	
	// prepare the navigation map
	$thisMap = $lang_admin_searchResults;
		
	
		
	

	// elements of the quick links menu
	$menu_1_elements = "
	<li><a href='todo.php?height=200' class='thickbox' title='$lang_admin_sidemenu_custom_01_01'>$lang_admin_sidemenu_custom_01_01</a></li>
	<li><a href='topics.php?action=add&height=400' class='thickbox' title='$lang_admin_sidemenu_custom_01_02'>$lang_admin_sidemenu_custom_01_02</a></li>
	<li><a href='sections.php#add'>$lang_admin_sidemenu_custom_01_03</a></li>
	<li><a href='topics.php#list'>$lang_admin_sidemenu_custom_01_04</a></li>
	<li><a href='settings.php'>$lang_admin_sidemenu_custom_01_05</a></li>
	";

	
	// create the quick links menu
	$static_value = array ($menu_1_elements, $lang_admin_sidemenu_01_title, $menu_1_link, $lang_admin_sidemenu_01_link);
	$static_name  = array ("{CONTENT}", "{TITLE}", "{URL}", "{EXTRA_LINK}");
	$template = $Engine->loadTemplate ("../templates/$settings_template/admin/normalMenu.html");
	$menu_1 = $Engine->replaceStatic($static_name, $static_value, $template);
	
	
	
	
	// Get database information
	$info = $Database->getInfo();	
	
	
	// connect to db
	$conn = mysql_connect($info[0], $info[1], $info[2]);
	$db = mysql_select_db($info[3], $conn);	
	
	
	// get the search keyword(s)
	$keyword = htmlspecialchars($_POST['keyword']);
	$keyword = mysql_real_escape_string($keyword);
	
	// get total results
	$totalResults = 0;
	$result = mysql_query("SELECT * FROM 11in1_topics WHERE content LIKE '%" . $keyword . "%' OR title LIKE '%" . $keyword ."%'", $conn);
	$totalResults = mysql_num_rows($result);
	
	
	// close connection
	mysql_close($conn);	
	
	// load results
	$searchResult = $Loader->getSearchResults(0, $settings_resultsPerLoad, $keyword);
		
	
	$lang_admin_searchResults = $lang_admin_searchResults . " ($totalResults)";
	
	$static_value = array ($searchResult, $lang_admin_searchResults, $lang_admin_loadMore, $settings_resultsPerLoad, $totalResults, $keyword);
	$static_name  = array ("{LIST}", "{RESULTS}", "{LOAD_MORE}", "{LIMIT}", "{TOTAL}", "{DATA}");
	$template = $Engine->loadTemplate ("../templates/$settings_template/admin/search.html");
	$content = $Engine->replaceStatic($static_name, $static_value, $template);	
	
	
	
	$static_value = array ($settings_JS, $lang_dir, $lang_encoding, $settings_keyword, $settings_Description, $thisPageName, $settings_blogName, $lang_slogan, $lang_admin_menuLink01, $lang_admin_menuLink02, $lang_admin_menuLink03, $lang_admin_menuLink04, $lang_admin_menuLink05, $lang_admin_menuLink06, $lang_admin_menuLink07, $lang_admin_menuLink08, $menu_1, $menu_2, $menu_3, $content, $lang_admin_copyrights, $lang_admin_footer_01_t, $lang_admin_footer_01_01, $lang_admin_footer_01_02, $lang_admin_footer_01_03, $lang_admin_footer_02_t, $lang_admin_footer_02_01, $lang_admin_footer_02_02, $lang_admin_footer_02_03, $lang_admin_footer_03_t, $lang_admin_footer_03_01, $lang_admin_footer_03_02, $thisMap, $keyword, $lang_admin_searchPosts);
	$static_name  = array ("{JS_INCLUDED_FILES_VITAL}", "{DIR}", "{ENCODING}", "{KEYWORDS}", "{DESC}", "{PAGENAME}", "{BLOGNAME}", "{SLOGAN}", "{LINK_01}", "{LINK_02}", "{LINK_03}", "{LINK_04}", "{LINK_05}", "{LINK_06}", "{LINK_07}", "{LINK_08}", "{MENU_1}", "{MENU_2}", "{MENU_3}", "{CONTENT}", "{COPYRIGHTS}", "{FOOTER_1_T}", "{FOOTER_1_1}", "{FOOTER_1_2}", "{FOOTER_1_3}", "{FOOTER_2_T}", "{FOOTER_2_1}", "{FOOTER_2_2}", "{FOOTER_2_3}", "{FOOTER_3_T}", "{FOOTER_3_1}", "{FOOTER_3_2}", "{MAP}", "{MASTER_KEYWORD}", "{SEARCH_TOPICS}");
	$template = $Engine->loadTemplate ("../templates/$settings_template/admin/layout.html");
	$template = $Engine->replaceStatic($static_name, $static_value, $template);
	echo $template;
}


?>