<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: includes/functions.php                               *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/



// Restrect access to this page if the defined permission is not found
if (!defined('PERMISSION_TO_INCLUDE'))
{
    header("Status: 403 Forbidden");
    die("<h1>403 Forbidden</h1>");
}


 
class Functions
{

	/***************************************
	* 
	* Returns 1 if the difference between 
	* date A and date B is at least 24 hours
	* and returns 0 otherwise. B is usually
	* the time now and it should be larger
	* than A at all times. 
	*
	* A Format: YYYY-MM-DD HH:MM:SS
	* B Format: YYYY-MM-DD HH:MM:SS
	*
	***************************************/     
    function timeDiff($A, $B)
    {
      $A = str_replace(" ", "", $A);
      $A = str_replace(":", "", $A);
      $A = str_replace("-", "", $A);
      
      $B = str_replace(" ", "", $B);
      $B = str_replace(":", "", $B);
      $B = str_replace("-", "", $B);
      
      $result = $B - $A;
      
      
      if($result >= 1000000)
      	return 1;
      else
      	return 0;     
    }
    
}

$Functions = new Functions;
 
?>