<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: includes/session.php                                 *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/


// Restrect access to this page if the defined permission is not found
if (!defined('PERMISSION_TO_INCLUDE'))
{
    header("Status: 403 Forbidden");
    die("<h1>403 Forbidden</h1>");
}


// Start the session
session_start(); 





// Defined session variables if they are not defined
if (!session_is_registered('admin')) 
{
	session_register('admin');
	session_register('ip');
	session_register('msg');
	session_register('captcha');
	session_register('temp');
	
	$_SESSION['admin'] = 0;
}



// Save this user's IP address to the session
if (!empty($_SERVER['HTTP_CLIENT_IP']))
{
	$_SESSION['ip'] = $_SERVER['HTTP_CLIENT_IP'];
}
elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))
{
	$_SESSION['ip'] = $_SERVER['HTTP_X_FORWARDED_FOR'];
}
else
{
	$_SESSION['ip'] = $_SERVER['REMOTE_ADDR'];
}


?>