<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: lang/English.php                                     *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/



// protect the included files by defining a permission
DEFINE('PERMISSION_TO_INCLUDE', TRUE);





// Current Version
$lang_version = "version 1.0.1";
$lang_11in1 = "11in1";
$lang_lang = "English";
$lang_slogan = "Another Reason To Love Blogging";





// Text Direction & Encoding
$lang_dir = "ltr";
$lang_encoding = "windows-1252";





// Errors Language
$lang_error_systemMessage = "System Message";
$lang_error_unableToConnectToDatabase = "Unable to connect to the database. Modify the information in includes/config.php then ";
$lang_error_scriptNotInstalled = "11in1 is not installed yet. Modify the information in includes/config.php then ";
$lang_error_missingTables = "Database is corrupted";
$lang_error_clickHere = "click here";
$lang_error_toRunInstall = "to run the install script.";
$lang_error_removeInstallFile = "You have to remove the install folder in order to proceed";
$lang_error_tryAgain = "Try Again";
$lang_error_goHome = "Home Page";
$lang_error_goBack = "Go Back";
$lang_error_invalidRequestTitle = "Invalid Request";
$lang_error_invalidRequestMsg = "Unable to process your request. Please try again later";
$lang_error_unableToSend = "Unable to Send";
$lang_error_unableToSendMsg = "You may not send a blank email";
$lang_error_emptyField = "Empty Field";
$lang_error_enterUsername = "You have to enter your username in order to continue";
$lang_error_enterPassword = "You have to enter your password in order to continue";
$lang_error_loginFailed = "Login Failed";
$lang_error_inccorectUsernameOrPassword = "Incorrect Username and/or Password";
$lang_error_loggedOutTitle = "Logged Out";
$lang_error_loggedOutMsg = "You have been successfully logged out from the admin panel";
$lang_error_panelLocked = "Admin Panel Locked";
$lang_error_loginAttemptsExceeded = "You have exceeded your login limit. You may try to login again after 24 hours";
$lang_error_blacklisted = "You have been blacklisted and you may not login to this admin panel anytime soon";
$lang_error_unableToAdd = "Unable to Add";
$lang_error_unableToAddTask = "You have to fill the name field in order to add the task";
$lang_error_unableToAddSection = "you have to fill the name field in order to add the new section";
$lang_error_unableToAddPage = "You have to fill the name field in order to continue";
$lang_error_unableToAddTopic1 = "You have to fill the name field in order to continue";
$lang_error_unableToAddTopic2 = "You have to fill the content field in order to continue";
$lang_error_unableToAddTopic3 = "No section was specified";
$lang_error_unableToAddTopic4 = "Invalid Thumbnail. Only '.jpg', '.jpeg', '.gif' and '.png' files are allowed";
$lang_error_unableToAddTopic5 = "Invalid Main Picture. Only '.jpg', '.jpeg', '.gif' and '.png' files are allowed";
$lang_error_unknown = "Unknown Error";
$lang_error_allFieldsAreRequired = "All fields are required in order to continue";
$lang_error_pageReq1 = "You have to fill the HTML Content field for this type of pages";
$lang_error_pageReq2 = "You have to fill the URL field for this type of pages";
$lang_error_deleteSection = "Unable to Delete";
$lang_error_deleteSectionMsg = "You are deleting the only section you have. Create a new section if you want to delete this one";



// Install Language
$lang_install_title = "Installing 11in1";
$lang_install_step = "Step";
$lang_install_of = "of";
$lang_install_submit = "Next Step";
$lang_install_resubmit = "Try Again";
$lang_install_step1_title = "Instructions";
$lang_install_step2_title = "Configuring";
$lang_install_step3_title = "Connecting";
$lang_install_step4_title = "Creating Tables";
$lang_install_step5_title = "Personalizing";
$lang_install_step6_title = "Done!";
$lang_install_step7_title = "Redirecting";
$lang_install_error_found_title = "Connection Error";
$lang_install_corruption_found_title = "Corrupted Data";
$lang_install_error_found_message = "Unable to connect to the database. Please check your includes/config.php then try again. If the problem continue to persist, please consider starting the installation process from the very beginning.";
$lang_install_corruption_found_message = "The submitted data is corrupted. If you have manually modified any files, please consider downloading a clean version of 11in1.";
$lang_install_step1_content_1 = "You have to manually edit and upload includes/config.php before you start"; 
$lang_install_step1_content_2 = "Existing data in your database (if any) will be permanently deleted";
$lang_install_step2_content_1 = "Database Host"; 
$lang_install_step2_content_2 = "Database Name"; 
$lang_install_step2_content_3 = "Database Username"; 
$lang_install_step2_content_4 = "Database Password";
$lang_install_step3_content_1 = "Successfully connected to the host";
$lang_install_step3_content_2 = "Successfully connected to the database";
$lang_install_step3_content_3 = "Ready to create and populate the tables";
$lang_install_step4_content_1 = "Successfully created the necessary tables";
$lang_install_step4_content_2 = "Successfully populated all tables";
$lang_install_step4_content_3 = "Ready to personalize 11in1";
$lang_install_step5_content_1 = "Blog Name";
$lang_install_step5_content_2 = "Admin Username";
$lang_install_step5_content_3 = "Admin Password";
$lang_install_step5_content_4 = "Admin Email";
$lang_install_step6_content_1 = "You have successfully completed the installation process.";
$lang_install_step6_content_2 = "You have to delete the (install) folder immediately, in order to prevent any further attempts to re-install the script.";
$lang_install_step6_content_3 = "Click (Next Step) to be redirected to the admin panel";
$lang_install_step7_content_1 = "Please wait while you are being redirected";

$lang_install_sample_section = "Sample Section";
$lang_install_sample_desc = "A sample section that you can modify or delete from the control panel";
$lang_install_sample_topic = "Sample Topic";
$lang_install_sample_content = "You have successfully installed 11in1. You can modify or delete this sample topic from the admin control Panel";
$lang_install_todo_01_content = "Pick your language and set your appearance preferences";
$lang_install_todo_02_content = "Link your Facebook and Twitter accounts to your blog";
$lang_install_todo_03_content = "Add new sections to your 11in1 and keep things even more organized";
$lang_install_todo_04_content = "Start adding topics to your 11in1";
$lang_install_todo_05_content = "Add new friends to the mailinglist";
$lang_install_todo_06_content = "Invite your friends to visit your new blog";

$lang_install_page_name_1 = "Sample Page";
$lang_install_page_desc_1 = "You can modify this page from the (sections and pages) tab in the control panel";
$lang_install_page_name_2 = "Sample Web Link";
$lang_install_page_desc_2 = "http://www.11in1.org";


// Admin Alerts Language
$lang_admin_alert_title_00 = "No Alerts to Display";
$lang_admin_alert_title_01 = "Install folder hasn't been deleted yet";
$lang_admin_alert_title_02 = "Firewall hasn't been configured yet";
$lang_admin_alert_title_03 = "At least (1) Unauthorized attempts to access the admin panel";
$lang_admin_alert_title_04 = "At least (1) blacklisted user";
$lang_admin_alert_desc_01 = "It seems like you have not deleted the install folder yet. Others might still be able to re-run the install script and erase the content of your database. Renaming the folder and/or the install file is not sufficient to avoid this security threat.";
$lang_admin_alert_desc_02 = "You have to setup a firewall to protect the admin panel. To do so, create and upload a .htaccess file to '/admin' that contains a strong password. Your .htaccess file can also be used to allow only some IP address to access the panel.";
$lang_admin_alert_desc_03 = "There is at least one unsuccessful attempt to access the admin panel. If this was not you, you should consider setting up your firewall. Go to the settings page to view the IP addresses of all uses who have attempt to access the panel.";
$lang_admin_alert_desc_04 = "There is at least one blacklisted user. Go to the settings page to view the IP addresses of all blacklisted users. These users will still be able to view the main page of your blog but will never be given access to the admin panel.";


// Admin Panel Language
$lang_admin_11in1adminPanel = "11in1 Admin Panel";
$lang_admin_adminPanel = "Admin Panel";
$lang_admin_username = "Username";
$lang_admin_password = "Password";
$lang_admin_login = "Login";
$lang_admin_adminPanelHome = "Main Page";
$lang_admin_menuLink01 = "Main";
$lang_admin_menuLink02 = "Settings";
$lang_admin_menuLink03 = "Sections";
$lang_admin_menuLink04 = "Topics";
$lang_admin_menuLink05 = "Pages";
$lang_admin_menuLink06 = "Guestbook";
$lang_admin_menuLink07 = "Mail";
$lang_admin_menuLink08 = "Logout";
$lang_admin_copyrights = "11in1 is an open source Content Management System that is available under the GNU license. Everyone is permitted to copy and distribute copies of this script without the consent of the original author.";
$lang_admin_sidemenu_01_title = "Quick Links";
$lang_admin_sidemenu_02_title = "Notifications & Alerts";
$lang_admin_sidemenu_03_title = "Knowledge Center";
$lang_admin_sidemenu_01_link = "Read The Documentation";
$lang_admin_sidemenu_02_link = "Notification Center";
$lang_admin_sidemenu_03_link = "Read License Agreement";
$lang_admin_sidemenu_03_element_01 = "11in1 News";
$lang_admin_sidemenu_03_element_02 = "How To's";
$lang_admin_sidemenu_03_element_03 = "Installation Guide";
$lang_admin_sidemenu_custom_01_01 = "Add a New Task";
$lang_admin_sidemenu_custom_01_02 = "Add a New Topic";
$lang_admin_sidemenu_custom_01_03 = "Add a New Section";
$lang_admin_sidemenu_custom_01_04 = "Edit Topics";
$lang_admin_sidemenu_custom_01_05 = "Edit Settings";
$lang_admin_sidemenu_custom_02_01 = "Add a New Page";
$lang_admin_sidemenu_custom_02_02 = "Edit Pages";
$lang_admin_footer_01_t = "About";
$lang_admin_footer_01_01 = "11in1";
$lang_admin_footer_01_02 = "Emuci Inc.";
$lang_admin_footer_01_03 = "SVN Repository";
$lang_admin_footer_02_t = "Keep in Touch";
$lang_admin_footer_02_01 = "Contact Us";
$lang_admin_footer_02_02 = "Facebook";
$lang_admin_footer_02_03 = "Twitter";
$lang_admin_footer_03_t = "Legal Notices";
$lang_admin_footer_03_01 = "Software License";
$lang_admin_footer_03_02 = "Disclaimer";
$lang_admin_subsection_main_01 = "What To Do?";
$lang_admin_subsection_main_02 = "Blog Statistics";
$lang_admin_subsection_main_03 = "Who's Online";
$lang_admin_subsection_main_04 = "Pending Comments";
$lang_admin_subsection_settings_01 = "System Configurations";
$lang_admin_subsection_settings_02 = "General Settings";
$lang_admin_subsection_settings_03 = "Social Bookmarks & Friends";
$lang_admin_subsection_settings_04 = "Thumbnails";
$lang_admin_subsection_settings_05 = "Display Preferences";
$lang_admin_subsection_settings_06 = "Security Management";
$lang_admin_subsection_sections_01 = "List of Sections";
$lang_admin_subsection_pages_01 = "List of Pages";
$lang_admin_subsection_topics_01 = "List of Topics";
$lang_admin_subsection_guestbook_01 = "List of Entries";
$lang_admin_subsection_mail_01 = "Inbox";
$lang_admin_id = "ID";
$lang_admin_ip = "IP Address";
$lang_admin_currentPage = "Current Page";
$lang_admin_topic = "Topics Name";
$lang_admin_page = "Page Name";
$lang_admin_by = "BY";
$lang_admin_actions = "Actions";
$lang_admin_stats_01 = "Total Sections";
$lang_admin_stats_02 = "Total Topics";
$lang_admin_stats_03 = "Total Comments";
$lang_admin_stats_04 = "Entries in Guestbook";
$lang_admin_stats_05 = "Total Visitors";
$lang_admin_stats_06 = "Total Contacts";
$lang_admin_noResults = "There are no results to display at this time";
$lang_admin_delete = "Delete";
$lang_admin_view = "View";
$lang_admin_edit = "Edit";
$lang_admin_comments = "View Comments";
$lang_admin_loadMore = "Load More";
$lang_admin_fileNotFound = "File Not Found"; 
$lang_admin_fileNotFoundExpl = "Unable to read the requested file or unable to access the folder /doc on server";
$lang_admin_noNews = "Unable to find any news regarding 11in1";
$lang_admin_confirm = "You will not be able to undo this action. Do you sill want to continue?";
$lang_admin_confirm2 = "You will not be able to undo this action. All comments associated with this topic (if any) will be permanently deleted. Do you sill want to continue?";
$lang_admin_confirm3 = "You will not be able to undo this action. All topics and comments associated with this section (if any) will be permanently deleted. Do you sill want to continue?";
$lang_admin_request_executed = "Execution Succeeded";
$lang_admin_todoDeleted = "The designated task was successfully deleted";
$lang_admin_commentDeleted = "The designated comment was successfully deleted";
$lang_admin_topicDeleted = "The designated topic and its comments was successfully deleted";
$lang_admin_gbDeleted = "The designated entry was successfully deleted from your guestbook";
$lang_admin_secDeleted = "The designated section was successfully deleted";
$lang_admin_messageDeleted = "The designated message was successfully deleted from your inbox";
$lang_admin_searchResults = "Search Results";
$lang_admin_sections = "Sections";
$lang_admin_searchPosts = "Search";
$lang_admin_guestbook = "Guestbook";
$lang_admin_pages = "Pages";
$lang_admin_topics = "Topics";
$lang_admin_mail = "Mail";
$lang_admin_taskName= "Task Name";
$lang_admin_taskTyp = "Type";
$lang_admin_type = "Type";
$lang_admin_submit = "Submit";
$lang_admin_taskType1 = "Something to add";
$lang_admin_taskType2 = "Something to keep in mind";
$lang_admin_taskType3 = "Something important";
$lang_admin_taskAdded = "Your new task was successfully added";
$lang_admin_sectionAdded =  "Your new section was successfully added";
$lang_admin_pageAdded =  "Your new page was successfully added";
$lang_admin_topicAdded = "Your new topic was successfully added";
$lang_admin_emailSent = "Your message was successfully sent";
$lang_admin_listOfSections = "List of Sections";
$lang_admin_listOfPages = "List of Pages";
$lang_admin_listOfTopics = "List of Topics";
$lang_admin_addNewSection = "Add New Section";
$lang_admin_addNewPage = "Add New Page";
$lang_admin_addNewTopic = "Add New Topic";
$lang_admin_gbEntries = "Guestbook Entries";
$lang_admin_inbox = "My Inbox";
$lang_admin_name = "Name";
$lang_admin_section = "Section";
$lang_admin_parentSection = "Parent Section";
$lang_admin_allowComments = "Allow comments";
$lang_admin_desc = "Description";
$lang_admin_yes = "Yes";
$lang_admin_no = "No";
$lang_admin_none = "None";
$lang_admin_visible = "Visible to Visitors";
$lang_admin_url = "URL";
$lang_admin_content = "Content";
$lang_admin_htmlContent = "HTML Content";
$lang_admin_pageType1 = "HTML Page";
$lang_admin_pageType2 = "External Link";
$lang_admin_sec = "Section";
$lang_admin_mainPicture = "Main Picture";
$lang_admin_thumbnail = "Thumbnail";
$lang_admin_title = "Title";
$lang_admin_date = "Date";
$lang_admin_status = "Status";
$lang_admin_date = "Date";
$lang_admin_approved = "Approved";
$lang_admin_active = "Active";
$lang_admin_inactive = "Inactive";
$lang_admin_from = "From";
$lang_admin_writtenBy = "Written By";
$lang_admin_fromCountry = "From";
$lang_admin_email = "Email"; 
$lang_admin_send = "Send"; 
$lang_admin_message = "Message"; 
$lang_admin_replay = "Replay";
$lang_admin_save = "Save";
$lang_admin_commnet = "Comment";
$lang_admin_unableToSave = "Unable to Save";
$lang_admin_dataSaved = "Your changes were successfully saved";
$lang_admin_visibleLegend = "Visible";
$lang_admin_parent = "Parent";



// Blog Language
$lang_front_topics = "My Topics";
$lang_front_friends = "My Friends";
$lang_front_guestbook = "My Guestbook";
$lang_front_contactMe = "Contact Me";
$lang_front_maillist = "Join My Mailing list";
$lang_front_menu1 = "Sections & Pages";
$lang_front_menu2 = "Search Topics";
$lang_front_menu3 = "In Touch";
$lang_front_copyrights = "Powered By <a href='http://www.11in1.org' target='_blank'>11in1</a>";
$lang_front_slogan = "Another Reason to Love Blogging";
$lang_front_home = "Home Page";
$lang_front_searhc = "Search";
$lang_front_next = "Next";
$lang_front_prev = "Previous";


// Time & Date Language
$lang_td_01 = "January";
$lang_td_02 = "February";
$lang_td_03 = "March";
$lang_td_04 = "April";
$lang_td_05 = "May";
$lang_td_06 = "June";
$lang_td_07 = "July";
$lang_td_08 = "August";
$lang_td_09 = "September";
$lang_td_10 = "October";
$lang_td_11 = "November";
$lang_td_12 = "December";		
$lang_td_at = "at";

?>