<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: admin/notifications.php                              *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/

// protect the included files by defining a permission
DEFINE('PERMISSION_TO_INCLUDE', TRUE);


// include the needed files 
require(dirname(__FILE__) . "/global.php");



// only if the request is made by AJAX
if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest')
{
	$alertsHolder = $Functions->getAlerts($info);
	$found = 0;
	$i = 0;
	
	$listOfAlerts = $alertsHolder[0];
	$listOfTypes = $alertsHolder[1];
	
	if(count($listOfAlerts) > 1)
	{
		foreach($listOfAlerts as $element)
		{
			if($element == 1)
			{
				$found++;
				
				if($listOfTypes[$i] == 1)
				$thisClass = "alertsListNormal";
				else if($listOfTypes[$i] == 2)
				$thisClass = "alertsListHigh";
				else
				$thisClass = "alertsListCritical";
				
				
				if($i == 0)	$thisAlert = $lang_admin_alert_desc_01;
				if($i == 1)	$thisAlert = $lang_admin_alert_desc_02;
				if($i == 2)	$thisAlert = $lang_admin_alert_desc_03;
				if($i == 3)	$thisAlert = $lang_admin_alert_desc_04;
				
				$static_value = array ($thisAlert, $thisClass);
				$static_name  = array ("{ALERT}", "{CLASS}");
				$template = $Engine->loadTemplate ("../templates/$settings_template/admin/elementAlert.html");
				$content .= $Engine->replaceStatic($static_name, $static_value, $template);				
			}
			
			$i++;
		}
	}
	else
	{
		$content = $lang_admin_alert_title_00;
	}
	
	if(!$found)
	$content = $lang_admin_alert_title_00;	
	
	echo $content;
}
else
{
	header("Location: index.php");
}

?>