<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: do.php                                               *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/

// protect the included files by defining a permission
DEFINE('PERMISSION_TO_INCLUDE', TRUE);


// include the needed files 
require(dirname(__FILE__) . "/includes/global.php");


// get the action from the request
$action = $_GET['action'];


// search
// load more results
if($action == "load")
{
	//if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest')

	 
	$type = $_GET['type'];
	$sp = $_GET['sp'];
	$keyword = $_GET['ed'];
	
	if((!is_numeric($sp))||($sp < 0))
	$sp = 0;

	
	else if($type == 'comments')
	echo $Loader->getCommnets($sp, $settings_resultsPerLoad);
	
	else if($type == 'search')
	echo $Loader->getSearchResults($sp, $settings_resultsPerLoad, $keyword);

	
	else if($type == 'topics')
	echo $Loader->getTopics($sp, $settings_resultsPerLoad);	

	
	else if($type == 'guestbook')
	echo $Loader->getGuestbookEntries($sp, $settings_resultsPerLoad);						
	
	else
	echo "";
	
}


else if($action == "loadSnapshots")
{
	$sp = $_GET['sp'];
	
	if((!is_numeric($sp))||($sp < 1))
	$sp = 1;
	
	echo $Loader->getSnapshots($sp);

}





// Unknown request
else
{
	// create an array to hold the elements of the message and save the array to the session
	$_SESSION['msg'] = array("title" => $lang_error_invalidRequestTitle, "msg" => $lang_error_invalidRequestMsg, "url" => "index.php", "button" => $lang_error_goHome);
	
	// redirect to msg.php
	header("Location: msg.php");	
}


?>