<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: includes/global.php                                 *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/



// Restrect access to this page if the defined permission is not found
if (!defined('PERMISSION_TO_INCLUDE'))
{
    header("Status: 403 Forbidden");
    die("<h1>403 Forbidden</h1>");
}





// Include needed files
require(dirname(__FILE__) . "/config.php");
require(dirname(__FILE__) . "/session.php");
require_once(dirname(__FILE__) . "/functions.php");
require_once(dirname(__FILE__) . "/template.php");
require_once(dirname(__FILE__) . "/loader.php");





// Get database information
$Database = new Database;
$Loader = new Loader;
$info = $Database->getInfo();


// Run install script if unable to connect to database
$conn = @mysql_connect($info[0], $info[1], $info[2]);
$db = @mysql_select_db($info[3], $conn);

if($conn && $db)
{

	// get settings
	$result = @mysql_query("SELECT * FROM 11in1_settings WHERE id = '1'");	
	$dbRow = @mysql_fetch_row($result);
	$settings_blogName = $dbRow[1]; // keep me
	$settings_11in1Name = $dbRow[1]; // keep me
	$settings_admin_email = $dbRow[5];
	$settings_keyword = $dbRow[6];	
	$settings_Description = $dbRow[7];
	$settings_loginAttempts = $dbRow[11];
	$settings_lang = $dbRow[12];
	$settings_template = $dbRow[13];
	$settings_thumbWidth = $dbRow[20];
	$settings_mainWidth = $dbRow[21];	
	$settings_instalaltionFlag = $dbRow[34];
	
	
	
	
	
	
	// gather needed information to determine who's online
	$thisSession = session_id();
	$thisTime = time();
	$thisTimeToCheck = $thisTime-600;
	$thisIP = $_SESSION['ip'];
	$thisPage = $_SERVER["SCRIPT_NAME"];
	
	// count total users online
	$result = mysql_query("SELECT * FROM 11in1_online", $conn);
	$totalUsersOnline= mysql_num_rows($result);
	
	// has this user already been counted?
	$result = mysql_query("SELECT * FROM 11in1_online WHERE ip = '$thisIP'");	
	$row = mysql_fetch_row($result);
	
	// if so, user is still viewing pages
	if($row[0])
	{
		$sql = "UPDATE 11in1_online SET timeout = '$thisTime' WHERE name = '$thisSession'";
		$result = mysql_query($sql);
		$sql = "UPDATE 11in1_online SET page='$thisPage' WHERE name = '$thisSession'";
		$result = mysql_query($sql);	
	}	
	// else, add user to list of who's online
	else 
	{
		$sql = "INSERT INTO 11in1_online (ip, name, page, timeout)VALUES('$thisIP','$thisSession', '$thisPage', '$thisTime')";
		$result = mysql_query($sql);
	}	

	// remove all inactive users
	$sql = "DELETE FROM 11in1_online WHERE timeout < $thisTimeToCheck";
	$result = mysql_query($sql);	
	
	
	
	// Run the installation script if installation is not complete
	$filepath = 'lang/' . $settings_lang . '.php';
	if(file_exists($filepath))
	{
		require($filepath);
	}
	else
	{
		if(file_exists('lang/English.php'))
		{
			require 'lang/English.php';
		}
		else
		{
			die("<h1>Fetal Error</h1> Unable to locate lang/English.php");
		}
	}
	
	if(!$settings_instalaltionFlag)
	{
		die($lang_error_scriptNotInstalled . ' ' . $lang_error_clickHere . " <a href='install/index.php'>Click here</a> " . $lang_error_toRunInstall);
	}
	else
	{
		// die if 11in1 is installed and the install script has not been removed yet
		if(file_exists("install/index.php"))
		{
			die($lang_error_removeInstallFile);
		}
	}
	
	
	// Links to all .css and .js files needed for popups (e.g. ThickBox and Highslide JS)
	$settings_JS = "
	  <script type=\"text/javascript\" src=\"js/jquery.js\"></script>
	  <script type=\"text/javascript\" src=\"js/thickbox/thickbox.js\"></script>	
	  <link rel=\"stylesheet\" href=\"js/thickbox/thickbox.css\" type=\"text/css\" media=\"screen\">
	  <link rel=\"stylesheet\" href=\"js/jwysiwyg/jquery.wysiwyg.css\" type=\"text/css\" />
	  <script type=\"text/javascript\" src=\"js/jwysiwyg/jquery.wysiwyg.js\"></script>
	  <script type=\"text/javascript\">
	  $(function()
	  {
	      $('#wysiwyg').wysiwyg();
	  });
	  </script>						
	";
	
	
	
	// prepare the menus on the bootm
	// load all sections
	$sql ="SELECT * FROM 11in1_sections WHERE parent=0";
	$result = mysql_query($sql);						
	while($row=mysql_fetch_array($result))
	{
		$thisID = $row["id"];
		$thisTitle = $row["title"];
		
		$menu1 .= "<li><a href='section.php?id=$thisID'>$thisTitle</a></li>";
	}

	
	// collect th social links
	$sql ="SELECT * FROM 11in1_social";
	$result = mysql_query($sql);						
	while($row=mysql_fetch_array($result))
	{
		$thisURL = $row["link"];
		$thisSource = $row["image"];
		$thisTitle = $row["name"];
		
		$socialLinks .= "<a href='$thisURL' target='_blank' title='$thisTitle'><img border='0' src='$thisSource'></a>&nbsp;&nbsp;";
	}		
	
	// close connection to database
	mysql_close($conn);	
		
		
}
else
{
	if(file_exists('lang/English.php'))
	{
		require 'lang/English.php';
		die($lang_error_unableToConnectToDatabase . " <a href='install/index.php'>" . $lang_error_clickHere . "</a> " . $lang_error_toRunInstall);
	}
	else
	{
		die("<h1>Fetal Error</h1> Unable to locate lang/English.php");
	}	
}



// close connection to database
@mysql_close($conn);


?>