<?php

/**************************************************************************
 *                                                                        *
 *                                                                        *
 *           Script: 11in1                                                *
 *          Version: 1.0.1                                                *
 *      Description: an open source content managment system (CMS)        *
 *               By: Eyad A. Fallatah                                     *
 *             File: includes/template.php                               *
 *          Website: http://www.11in1.org                                 *
 *            Email: info@11in1.org                                       *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 *                                                                        *
 *                                                                        *
 *   This script is freeware and you can use it however you like at       *
 *   your own risk. If you are interested in contributing to the          *
 *   development of this script, please visit our website.                *
 *                                                                        *
 *                                                                        *
 *************************************************************************/ 



// Restrect access to this page if the defined permission is not found
if (!defined('PERMISSION_TO_INCLUDE'))
{
    header("Status: 403 Forbidden");
    die("<h1>403 Forbidden</h1>");
}



class Engine
{


	/***************************************
	* 
	* Load a given HTML Page
	*
	***************************************/     
    function loadTemplate($filename)
    {
       @$handle = fopen($filename,"r");
       if (!$handle)
       {
		   die("Unable to load " . $filename);
       }
       @$temp = fread($handle, filesize($filename));
       return($temp);
    }
    
    
    
    
	/***************************************
	* 
	* Replace static values with dynamic 
	* values
	*
	***************************************/       
    function replaceStatic($static_name, $static_value, $load_template)
    {
       $tcontent = $load_template;
       for ($i=0; $i < count($static_name); $i++)
       $tcontent = str_replace($static_name[$i],$static_value[$i],$tcontent);
       return $tcontent;
    }
    
}
$Engine = new Engine;
?>